Makefile patches for Atari Port

m0n0 ole at monochrom.net
Sun Jun 20 18:13:01 BST 2010


Am Sonntag, den 20.06.2010, 18:13 +0200 schrieb John-Mark Bell
<jmb at netsurf-browser.org>:


>> -lSDL -lgem is needed for SDL.
 
> Surely these are pulled in by libnsfb's dependency on SDL (as specified
> in libnsfb's pkg config file)?
  

I'm not really sure what you mean by asking that... 
But after having a closer look, I see that I also patched the pkg-config
file for libnsfb. So that it does not requires xcb and such things. 
But it just contains -lnsfb as Linker configuration. So -lSDL is really
needed later. 

I'll have a look on how the libnsfb.pc.in is created, then I will provide
another patch for that issue. 

Thanks & Greets,
Ole






More information about the netsurf-dev mailing list